Create a practitioner for this insolvency resource
POST https://api.company-information.service.gov.uk/transactions/{transaction_id}/insolvency/practitioners
| Parameter name |
Value |
Description |
Additional |
| transaction_id |
string |
The transaction that this insolvency case is applied to
|
Required |
The request body takes a complete
writeable practitioner resource, containing the following writable properties:
{
"address": {
"address_line_1": "string",
"address_line_2": "string",
"country": "string",
"locality": "string",
"po_box": "string",
"postal_code": "string",
"premises": "string",
"region": "string"
},
"email": "email",
"first_name": "string",
"ip_code": "string",
"last_name": "string",
"role": "string",
"telephone_number": "string"
}
| Name |
Type |
Description |
Additional |
|
address
|
object |
address
|
|
|
address.address_line_1
|
string |
|
|
|
address.address_line_2
|
string |
|
Optional
|
|
address.country
|
string |
|
Optional
|
|
address.locality
|
string |
|
|
|
address.po_box
|
string |
|
Optional
|
|
address.postal_code
|
string |
|
|
|
address.premises
|
string |
|
|
|
address.region
|
string |
|
Optional
|
|
email
|
email |
At least one of email or telephone_number must be supplied.
|
|
|
first_name
|
string |
|
|
|
ip_code
|
string |
|
|
|
last_name
|
string |
|
|
|
role
|
string |
Possible values are:
final-liquidator
receiver
receiver-manager
proposed-liquidator
provisional-liquidator
administrative-receiver
practitioner
interim-liquidator
|
Optional
|
|
telephone_number
|
string |
At least one of email or telephone_number must be supplied.
|
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/company/*/insolvency.write-full |
Grants full Insolvency Practitioner access |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 201 |
Created Practitioner created
|
practitioner |
| 400 |
Bad Request Bad request
|
|
| 401 |
Unauthorized Unauthorized
|
|
| 403 |
Forbidden Forbidden
|
|